Subject: Re: [PATCH v2] difftool/mergetool: make the form of yes/no questions consistent

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Apr 2016 14:15:09 -0700

Nikola Forró <[email-masked]> writes:

> Every yes/no question in difftool/mergetool scripts has slightly
> different form, and none of them is consistent with the form git
> itself uses.
>
> Make the form of all the questions consistent with the form used
> by git.
>
> Reviewed-by: John Keeping <[email-masked]>
> Signed-off-by: Nikola Forró <[email-masked]>
> ---
> Changes in v2: example dropped from the commit message

Thanks; have you run the test suite with this patch applied?

It is your responsibility to make sure that the expectation by
existing tests are still satisfied after your change, or update
their expectation to match the new (and hopefully better) world
order your patch introduces.

I needed to squash this in to make the tests pass, but because I am
not a difftool user, I do not at all know if the prompt produced
(and expected by the test) is sensible or not.

 t/t7800-difftool.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/t7800-difftool.sh b/t/t7800-difftool.sh
index ec8bc8c..df9050f 100755
--- a/t/t7800-difftool.sh
+++ b/t/t7800-difftool.sh
@@ -20,7 +20,7 @@ difftool_test_setup ()
 prompt_given ()
 {
 	prompt="$1"
-	test "$prompt" = "Launch 'test-tool' [Y/n]: branch"
+	test "$prompt" = "Launch 'test-tool' [Y/n]? branch"
 }
 
 # Create a file on master and change it on branch